Bug 583856 - Segmentation fault in QApplication::internalNotify
Segmentation fault in QApplication::internalNotify
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pdfedit (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:11bd5104aebc9762252fc1f5045...
:
: 584222 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 21:51 EDT by Mustafa Mehmed
Modified: 2011-07-29 21:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-29 21:58:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.06 KB, text/plain)
2010-04-19 21:51 EDT, Mustafa Mehmed
no flags Details
PDF that I am editting. (209.53 KB, text/plain)
2010-04-20 22:15 EDT, Mustafa Mehmed
no flags Details

  None (edit)
Description Mustafa Mehmed 2010-04-19 21:51:09 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: pdfedit
component: pdfedit
executable: /usr/bin/pdfedit
kernel: 2.6.32.11-99.fc12.x86_64
package: pdfedit-0.4.3-4.fc12
rating: 3
reason: Process /usr/bin/pdfedit was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. selected some text
2. removed text
3. clicked elsewhere on pdfedit screen
4. crash
Comment 1 Mustafa Mehmed 2010-04-19 21:51:12 EDT
Created attachment 407704 [details]
File: backtrace
Comment 2 Orion Poplawski 2010-04-20 10:50:45 EDT
Can you reproduce with 4.4.1.1?  I can't.

yum -y --enablerepo=updates-testing upgrade pdfedit
Comment 3 Mustafa Mehmed 2010-04-20 22:15:07 EDT
Created attachment 407966 [details]
PDF that I am editting.
Comment 4 Mustafa Mehmed 2010-04-20 22:20:03 EDT
Upgraded to 4.4.1.1 and crash still occurs.

1. Opened attached pdf file (see Comment 3 2010-04-20 22:15:07 EDT)
2. selected "Select text" icon on toolbar
3. selected text "You are here" in attached pdf file
4. deleted text by backspacing over text in small window under toolbar.
5. left clicked on white space area on right hand side - tab called Selection
6. crash 

I have also submitted a new bug report # 584222

Thanks.
Comment 5 Orion Poplawski 2010-04-21 12:30:29 EDT
*** Bug 584222 has been marked as a duplicate of this bug. ***
Comment 6 Orion Poplawski 2010-04-21 12:31:47 EDT
This looks pretty buried in Qt code.  I'll ping the pdf list.
Comment 7 Orion Poplawski 2010-05-19 11:47:16 EDT
Still present in 0.4.5.
Comment 8 Bug Zapper 2010-11-03 12:44:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Mustafa Mehmed 2010-11-03 17:12:55 EDT
I am installing F14 soon. So please close this bug. Thanks.
Comment 10 Orion Poplawski 2010-11-03 17:41:35 EDT
I still can reproduce in F14.
Comment 11 Orion Poplawski 2011-07-29 21:58:00 EDT
Upstream is dead.  I'm retiring it from Fedora.

Note You need to log in before you can comment on or make changes to this bug.